import Vue from 'vue'
import Vuetify from 'vuetify/lib'

import Vue2Filters from 'vue2-filters'
import App from './App.vue'
import { store } from './store'
import 'material-design-icons-iconfont/dist/material-design-icons.css' // Ensure you are using css-loader

Vue.config.productionTip = false
Vue.use(Vue2Filters)
Vue.use(Vuetify)

const opts = {
  theme: {
    themes: {
      light: {
        primary: '#fdd02f',
        keen_yellow: '#fddd04',
        keen_dark_grey: '#373737',
        keen_light_grey: '#bababa',
        secondary: '#424242',
        accent: '#82B1FF',
        error: '#FF5252',
        info: '#2196F3',
        success: '#4CAF50',
        warning: '#FFC107'
      },
    },
  },
  options: {
    customProperties: true
  },
  // icons: {
  //   iconfont: 'md',
  // },
}

new Vue({
  store,
  render: h => h(App),
  vuetify: new Vuetify(opts)
}).$mount('#app')
